### Method

# Fwupd Device has_checksum

since: 1.8.7

#### Declaration [src]

    gboolean
    fwupd_device_has_checksum (
      FwupdDevice* self,
      const gchar* checksum
    )

#### Description [src]

Finds out if the device has this specific checksum.

Available since: 1.8.7

#### Parameters

`checksum`

  Type: `const gchar*`

  The device checksum.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `gboolean`

`TRUE` if the checksum name is found.